library(ggplot2)
library(Kendall)
library(RColorBrewer)

setwd("~/Downloads/")

#Load data
load("environmentCPstrends_D2.5.RData")

trend <- matrix(NA,length(unique(mix2$CP)),4)
sign <- matrix(NA,length(unique(mix2$CP)),4)

for(i in 1:length(unique(mix2$CP))){
  for(j in 1:4){ #season
    serie <- mix2$Index[which(mix2$CP==i & mix2$Season==unique(mix2$Season)[j])] #S A W S
    trend[i,j] <- MannKendall(x = serie)$tau #lm(serie~c(1:length(serie)))[["coefficients"]][["c(1:length(serie))"]]#
    sign[i,j] <- MannKendall(x=serie)$sl
    } 
}

datitos <- data.frame(Trend=as.numeric(trend),Signif=as.numeric(sign),
                      CP=rep(1:length(unique(mix2$CP)),4),
                      Season=rep(unique(mix2$Season),each=length(unique(mix2$CP))))

p <- ggplot(data=datitos,aes(x=Season,y=CP,fill=Trend)) + geom_tile() + theme_bw()
p <- p + scale_fill_gradientn(name="Tau",colours = rev(brewer.pal(11,"RdBu")),limits=c(-0.3,0.3)) + scale_y_continuous(breaks=c(1:length(unique(mix2$CP))))
p <- p + coord_cartesian(expand=F) + geom_text(data=subset(datitos,Signif<=0.1),label="*",size=10)
p
ggsave(p,filename="trends_D2.5.png",device="png",dpi=600)
